import request from '@/utils/request'

// 内容管理列表
export function list(data){
  return request ({
    url: `/house/ArticleResp/search`,
    method: 'post',
    data
  })
}

// 内容管理详情
export function detail(id){
  return request({
    url: `/house/ArticleResp/detail/${id}`,
    method: 'get'
  })
}

// 内容显示隐藏
export function showOrHide(id, type){
  return request({
    url: `/house/ArticleResp/conceal/${id}/${type}`,
    method: 'get'
  })
}

// 评论显示隐藏
export function commentShowOrHide(id, type){
  return request({
    url: `/house/ArticleResp/commentConceal/${id}/${type}`,
    method: 'get'
  })
}

// 内容推荐
export function recommend(data){
  return request({
    url: `/house/ArticleResp/recommend`,
    method: 'post',
    data
  })
}

// 内容分类
export function typeList(){
   return request({
    url: `/house/TAdminColumn/list`,
    method: 'post'
   })
}